/* Tira algumas das formatações padrões */
body, 
ul,
li,
p {
    margin: 0;
    padding: 0;
    list-style: none;
    font-size: 1.2rem;
    font-family: Arial;
}

body {
    margin-bottom: 100px;
}

a {
    text-decoration: none;
    color: #ffffff;
}

h1 {
    text-align: center;
    margin-top: 100px
}

img {
    max-width: 100%; /*Tamanho maximo de 100%, para que a imagem fique reponsiva*/
    display: block;
}

.header {
    background: #1d1e20;

    display: flex; /*Faz com que os itens fiquem lado a lado*/
    flex-wrap: wrap; /*Quando a tela estiver pequena os elementos ficaram um a baixo do outro*/
    justify-content: space-between; /*Espaço entre os elementos*/
    align-items: center;/*Aliha os itens ao centro na vertical */
    padding: 20px;
}

.menu ul {
    display: flex;
}

.menu li {
    margin-left: 10px;
}

.menu li a {
    display: block;
    padding: 10px; /*espaçamento dentro do elemento, como é uma tag a, ele cria uma caixa de clique maior*/

}

/* CSS flexbox 1*/

.flex {
    display: flex; /*Os itens ficam lado a lado*/
    flex-wrap: wrap;/*aqui ele identifica que ele pode quebrar*/
    max-width: 800px; /*Tamanho maximo do container é 800*/
    margin: 0 auto; /*alinha ao centro do container*/
}

.flex > div {
    flex: 1 1 200px; /*o item se espande, ele tambem pode ficar menor e base de 200px, ele quebra caso não consigo ocupar os 200px*/
    margin:10px;
}


/* CSS Grid 1 */

.grid1 {
    display: grid; /*Cria a grid*/
    grid-template-columns: repeat(3, 1fr); /*Gera as colunas dividindo em frações(fr)*/
    max-width: 800px;
    padding: 10px;
    margin: 0 auto;
    grid-gap: 20px; /*Da o espaçamento entre os elementos */
}

/* :nth-child(elemento) seleciona o filho de um elemento*/
.grid1 > div:nth-child(n + 4) { /*apartir do quarto elemento ele aplica a formatação*/
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10px;
    align-items: center;
}

.grid1 > div.anuncio {
    grid-column: 1; /*elemento ficara na primeira coluna*/
    grid-row: 2 / 5; /*a linha vai do 2 ao 5*/
    display: block;
}

@media(max-width: 600px) { 
    .grid1 {
        grid-template-columns: repeat(2, 1fr);
    }

    .grid1 > div:nth-child(n + 4) {
        display: block;
    }

    .grid1 > div.anuncio {
        grid-column: auto;
        grid-row: auto;
        order: -1; /*altera a orde que ele esta posicionado*/
    }
}

/* CSS Grid 2 */

.grid2 {
    display: grid;/*cria a grid*/
    grid-template-columns: 1fr 200px;/*define a coluna e o seu tamanho maximo*/
    grid-gap: 20px; /*espaçamento dentro da grid*/
    max-width: 800px; /*tamanho maximo qual o container vai ocupar*/
    padding: 10px;
    margin: 0 auto;
}

/* > fala somente com os filhos diretos */
.sidebar > div {
    margin-bottom: 10px;
}

@media(max-width: 600px) {
    .grid2 {
        grid-template-columns: 1fr;
    }

    .sidebar {
        display: flex;
        overflow: scroll; /* crai um scroll lateral para os elementos*/
    }

    .sidebar > div {
        flex: 1 0 200px;  /*vai manter os 200px*/
        margin: 0 10px;
    }
}


/* CSS Grid 3 */

.grid3 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
    margin: 0 auto;
    max-width: 800px;
}

.grid3-item:nth-child(1) {
    grid-row: 1/3; /*A row vai ocupar da 1 até a 3*/

}

.grid3-item {
    display: grid;
}

.grid3-item img {
    grid-column: 1;
    grid-row: 1/3; /*divide a imagem em duas row*/
    align-self: end;
}

.grid3-item p {
    background: rgba(0, 0, 0, 0.6);
    padding: 10px;
    color: #ffffff;
    grid-column: 1;
    grid-row: 2;/*vai ocupar a segunda linha*/
    align-self: end;
}

